Transcript LOL API
POST
/spaces/{spaceId}/folders

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

Request Body

application/json

Folder details

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://transcript.lol/api/v1/spaces/string/folders" \  -H "Content-Type: application/json" \  -d '{    "name": "My Folder",    "parentFolderId": null  }'
{
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "name": "string",
  "workspaceId": "string",
  "parentFolderId": "string"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}